{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.manalabs_scp.scp610_tentacle": {
			"initial_state": "init",
			"states": {
				"init": {
					"animations": ["hidden"],
					"transitions": [
						{
							"default": "1.0"
						}
					]
				},
				"default": {
					"animations": ["go_out"],
					"transitions": [
						{
							"idle": "query.any_animation_finished"
						}
					]
				},
				"idle": {
					"on_entry": ["variable.tentacle_idle_duration = query.life_time + 0.7;"],
					"animations": ["idle"],
					"transitions": [
						{
							"go_in": "variable.tentacle_idle_duration < query.life_time"
						}
					]
				},
				"go_in": {
					"animations": ["go_in"],
					"transitions": [
						{
							"hidden": "query.any_animation_finished"
						}
					]
				},
				"hidden": {
					"animations": ["hidden"]
				}
			}
		}
	}
}